/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {StatInfoResponse} from "./statInfoResponse";
import {ZoneSubcontractorSecondResponse} from "src/classLibrary/APIModels/analytics/zoneSubcontractorSecondResponse";
import {
    IZoneSubDatabase,
    SegmentAggregateSecondAnalytics,
    SubDict,
    ZoneDict
} from "src/classLibrary/APIModels/analytics/CommonAnalyticModels";

export class HourlyZoneSubcontractorSecondResponse implements IZoneSubDatabase, SegmentAggregateSecondAnalytics {
    public info: StatInfoResponse;

    public data: { [s: string]: ZoneSubcontractorSecondResponse };

    public zones: ZoneDict;

    public subcontractors: SubDict;

    /**
     * Creates a HourlyZoneSubcontractorSecondResponse.
     *
     * @param {StatInfoResponse} info
     * @param {object} data
     * @param {object} zones
     * @param {object} subcontractors
     */
    constructor(info: StatInfoResponse, data: { [s: string]: ZoneSubcontractorSecondResponse }, zones: ZoneDict, subcontractors: SubDict) {
        this.info = info;
        this.data = data;
        this.zones = zones;
        this.subcontractors = subcontractors;
    }
}
